Angular et Material en version 5
================================
![category](développement)
![tag](angular)


Une nouvelle version d'angular vient de sortir: la **5**

En parallèle la première version stable de material vient de sortir: la **5**


Mise en oeuvre
--------------

```bash
npm update -g @angular/cli
ng new myappli
cd myappli
npm install --save @angular/material @angular/cdk
```

```note
à la sortie j'ai des erreurs *UNMET* mais a priori pas de soucis après 

```

Utilisation
-----------

```warning
avec cette version les modules, balises utilisant le terme *Md* ont été remplacés par le terme *Mat*
```

Pour utiliser la libraire AngularMaterial il faut

- ajouter un thème à notre application via notre fichier styles.css

```css
@import '~@angular/material/prebuilt-themes/deeppurple-amber.css';
```

```warning
afin d'avoir la bonne couleur de fond j'ajoute la class **mat-app-background** à l'élément **body**
du fichier index.html de mon application
```

- importer les modules nécessaire dans le *NgModule* de notre application (fichier src/app/app.module.ts)

```
import {MatButtonModule} from '@angular/material';
import {MatIconModule} from '@angular/material';
...
imports: [
    ...
    MatButtonModule,
    MatIconModule
    ],
...
```

```note
nous ajoutons uniquement les modules icones et button car nous allons simplement ajouter
dans notre application un boutton avec une icone
```

- importer les font google qui gère les icones via le fichier index.html

```html
<link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
```

- ajouter notre boutton dans le template principale de notre application (src/app/app.component.html)

```html
<button mat-button><mat-icon>check</mat-icon></button>
```
